<!DOCTYPE html>
<html lang="cs">
<head>
  <title>Návštěvní kniha + Bootstrap</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <!-- vložení externího souboru pro editor v textarea ve formuláři -->
  <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote.js"></script>
  <!-- konec editoru-->
<style>
body {
    background-color: #737373;
    background-image: linear-gradient(#0008ff, #00ff7e);
    background-size: cover;
    background-attachment: fixed;
}


/* pozadí containeru */
.container {
background-color: white;

}
.panel-collapse {
    padding: 15px;
}
a {
color: red;
text-decoration: underline;
}
</style>

<body>





<div class="container">
<div class="page-header">
    <h1>Návštěvní kniha v PHP s databází</h1>
    <p>Obsahuje napojení na framework Bootstrap, jednoduchý editor Sommernote a stránkování.</p>
    <p><i>Vytvořeno jako demo ke <a target="_blank" href="https://oaznojmo.eu/php/jednoducha-navstevni-kniha-v-php/">kapitole 18 - PHP</a></i></p>
    <h2>Stránkování je nastaveno na 5 vzkazů na jedné stránce</h2>      
  </div>   



<?php
 header("Content-Type: text/html; charset=utf-8");
//řádek kvůli správnému kódování
 include('db.php');
//vložení externího souboru s připojením
?>

<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" href="#collapse1">Napsat vzkaz</a>
      </h4>
    </div>
    <div id="collapse1" class="panel-collapse collapse">
      
      
      
    <form action="" method="post">
  <div class="form-group">
    <label for="nick">Nick:</label>
    <input type="text" class="form-control" name="nick">
  </div>
  <div class="form-group">
    <label for="email">Email:</label>
    <input type="text" class="form-control" name="email">
  </div>
  <div class="form-group">
    <label for="web">Váš web:</label>
    <input type="text" class="form-control" name="web">
  </div>
  <div class="form-group">
    <label for="comment">Vzkaz:</label>
    <textarea id="summernote" class="form-control" rows="5" name="vzkaz"></textarea>
  </div>
  <div class="form-group">
    <label for="kontrola">Kontrolní otázka - Jaký je první měsíc v roce (česky, malými písmeny):</label>
    <input type="text" class="form-control" name="kontrola">
  </div>
  <button type="submit" class="btn btn-success">Odeslat vzkaz</button>

</form>
<!-- všimněte si, že formulář není součástí php kódu -->

    
    
    
    
    
    
    
    </div>
  </div>
</div>










<?php
if (!empty ($_POST))
// empty - prázdný a jeho negace nebo-li
// pokud bylo cokoliv zadáno do formuláře, začne se vykonávat následující podmínka
{
 // přijme všechny zadané informace do formuláře
 $nick = $_REQUEST["nick"];
 $email = $_REQUEST["email"];
 $web = $_REQUEST["web"];
 $vzkaz = str_replace("<test>","script",$_REQUEST["vzkaz"]);
 
 $datum = StrFTime("%d.%m.%Y", Time());
 $kontrola = $_REQUEST["kontrola"];
 
 // pokud byly vyplněn alespoň nick a vzkaz, může se nový příspěvek uložit do databáze
 if(($nick!="") && ($vzkaz!="") && ($kontrola=="leden"))
 {
 // uloží se nový vzkaz do databáze a vrátí 1
 $zapis = mysqli_query($spojeni, "INSERT INTO kniha2 (NICK, EMAIL, WEB, VZKAZ, DATUM) 
 VALUES ('$nick','$email','$web','$vzkaz','$datum');");
 // Hláška o zdárném zápisu
 echo ("<h1>Vzkaz přidán</h1>");
 }
// pokud nebyl doplňěn nick a vzkaz, zahlasí výzvu
else {
  echo ('<div class="alert alert-danger">
  <strong>Chyba!</strong> Musíte vyplnit alespoň Nick a Vzkaz.</div>');
} 
}
 




 include('vzkazy.php');
?>


</div>
<script>
    $(document).ready(function() {
        $('#summernote').summernote();
    });
  </script>
</body>
</html>
